#include <stdio.h>
#include <stdlib.h>
#include <math.h>
int main()
{
	int r=0,i,d=0;
	unsigned long long v;
	unsigned long long p;
	scanf("%llu",&v);
	p=v;
	while(p!=0)
	{
		p=p/10;
		d++;
	}
	while(v!=0)
	{
		i=v/(5*pow(10,d));
		if(i>0)
		{
			v=v-i*(5*pow(10,d));
			r=r+i;
		}
		i=v/(2*pow(10,d));
		if(i>0)
		{
			v=v-i*(2*pow(10,d));
			r=r+i;
		}
		i=v/(1*pow(10,d));
		if(i>0)
		{
			v=v-i*(1*pow(10,d));
			r=r+i;
		}
		d--;
	}
	printf("%d",r);
}